Starmade | removing shipyard computer while constructing results in item loss
Closed, FinishedPublic

Description

If the shipyard computer die or gets removed while it's constructing, the blocks already used do not get dropped.
This would be fine if the ship that was there, and could be salvaged but it's stuck in an invalid mode. (It's probably not even a real ship)

Re-linking the anchor to a new shipyard will also delete any progress.

Details

Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.19556
Issue Type
Bug
Category
Control Block System: Shipyards
First occurrence (version)
0.19556
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
NVIDIA
Video Card Model
770 GTX
Steps to reproduce

Begin constructing a ship with a shipyard - feed the computer some parts for the ship. While the ship is 'Constructing,' enter a build block and right click the Shipyard Computer.

All in-progress parts are lost.

Tester information (Internal use only)

Fastest way to replicate is to deconstruct a ship into a design then attempt to reconstruct. While the ship is being rebuilt remove the shipyard computer. The design will appear on the ground but all other blocks will be lost.

Serverconfig (server.cfg)
not accessible.
Clientconfig (settings.cfg)
default
Java Version (64bit)

java version "1.8.0_72"
Java(TM) SE Runtime Environment (build 1.8.0_72-b15)
Java HotSpot(TM) 64-Bit Server VM (build 25.72-b15, mixed mode)

Ixanis created this task.Feb 5 2016, 3:08 AM
Ixanis changed Category from none/unspecified to Control Block System: Shipyards.
Ixanis set First occurrence (version) to .19556.
Ixanis changed Video Card Vendor from uncertain to NVIDIA.
Ixanis set Video Card Model to 770 GTX.
Ixanis edited Serverconfig (server.cfg). (Show Details)
Ixanis edited Clientconfig (settings.cfg). (Show Details)
Ixanis edited Java Version (64bit). (Show Details)
Ixanis changed Affected Gamemode(s) from none/unspecified to Single and Multi.
Ixanis changed Reproducible from uncertain to Yes.
Ixanis set Last tested (version) to .19556.
Ixanis edited Steps to reproduce. (Show Details)
Ixanis added a subscriber: Ixanis.
Restricted Application added a project: Workflow Issue Navigation. · View Herald TranscriptFeb 5 2016, 3:08 AM
lancake claimed this task.EditedFeb 6 2016, 10:01 PM
lancake added a subscriber: lancake.

-Validated-

Could be related T663

lancake changed the title from "Removing Shipyard Computer while in build block while constructing a ship removes all currently used blocks from existence with no refund." to "removing shipyard computer while constructing results in item loss".Feb 6 2016, 10:05 PM
lancake edited the task description. (Show Details)
lancake triaged this task as "Urgent" priority.
lancake shifted this object from the S1 Public space to the S3 Starmade space.
lancake changed the visibility from "Custom Policy" to "Public (No Login Required)".
lancake changed the edit policy from "Task Author" to "Starmade (Project)".
lancake set Issue Type to Bug.
lancake set OS-Specific to No.
lancake set Hardware-Specific to No.
lancake edited Java Version (64bit). (Show Details)
Restricted Application added a subscriber: AndyP. · View Herald TranscriptFeb 6 2016, 10:05 PM
lancake changed First occurrence (version) from .19556 to 0.19556.Feb 6 2016, 10:05 PM
lancake changed Last tested (version) from .19556 to 0.19556.
lancake removed lancake as the assignee of this task.
godmars claimed this task.Feb 6 2016, 10:49 PM
godmars edited Steps to reproduce. (Show Details)Feb 10 2016, 5:27 AM
godmars edited Tester information (Internal use only). (Show Details)
This comment was removed by godmars.
godmars changed the task status from "Open" to "In Queue (Game)".Feb 10 2016, 5:28 AM

-confirmed-

AndyP raised the priority of this task from "Urgent" to "Release Blocker".Mar 8 2016, 8:29 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 9 2016, 2:59 AM
schema added a subscriber: schema.
godmars closed this task as "Closed".EditedMar 11 2016, 5:13 AM

-QA TESTING-
fix confirmed

Restricted Application removed a project: Workflow Quality Assurance. · View Herald TranscriptMar 11 2016, 5:13 AM
Restricted Application removed a subscriber: AndyP. · View Herald Transcript

Add Comment